## gnome-shell-extension-manager 0.4.0

=== meson_options.txt ===
option('development', type: 'boolean', value: false, description: 'Produce a development build')

## gnome-shell-extension-manager 0.2.3

=== debian/changelog ===
gnome-shell-extension-manager (0.2.3-2) unstable; urgency=medium

  * debian/control.in: Fix Homepage link

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Mar 2022 15:43:29 -0400

gnome-shell-extension-manager (0.2.3-1) unstable; urgency=medium

  * Initial release (Closes: #1007935)

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Tue, 15 Mar 2022 10:49:00 -0600

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-shell-extension-manager
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Heather Ellsworth <heather.ellsworth@canonical.com>, Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: appstream-util <!nocheck>,
               blueprint-compiler,
               debhelper-compat (= 13),
               dh-sequence-gnome,
               libgtk-4-dev,
               libadwaita-1-dev,
               libjson-glib-dev,
               libsoup-3.0-dev,
               libsysprof-4-dev,
               meson (>= 0.52.0)
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager
X-Ubuntu-Use-Langpack: yes
Homepage: https://github.com/mjakeman/extension-manager
Rules-Requires-Root: no

Package: gnome-shell-extension-manager
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-shell
Description: Utility for managing GNOME Shell Extensions
 The GNOME shell extension manager is a tool for helping you manage your
 installed GNOME shell extensions.

## gnome-shell-extension-manager 0.3.0

=== debian/changelog ===
gnome-shell-extension-manager (0.3.0-0ubuntu2.1) jammy; urgency=medium

  * Don't use language packs for translations (LP: #1971025)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 May 2022 11:40:50 -0400

gnome-shell-extension-manager (0.3.0-0ubuntu2) jammy; urgency=medium

  * Add patch to fix AppStream metadata install location (LP: #1970006)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 23 Apr 2022 15:36:07 -0400

gnome-shell-extension-manager (0.3.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1969389)
  * Remove patch that is no longer needed
  * Add patch: Do-not-update-the-icon-cache.patch
  * Add patch: pr180.patch
  * Add libtex-engine-dev build dep
  * Add missing build-dep
  * Bump meson build dep version (>= 0.59.0)

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Tue, 19 Apr 2022 16:32:26 -0600

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,28 @@
 Source: gnome-shell-extension-manager
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Heather Ellsworth <heather.ellsworth@canonical.com>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream-util <!nocheck>,
                blueprint-compiler,
                debhelper-compat (= 13),
+               desktop-file-utils,
                dh-sequence-gnome,
                libgtk-4-dev,
                libadwaita-1-dev,
                libjson-glib-dev,
                libsoup-3.0-dev,
                libsysprof-4-dev,
-               meson (>= 0.52.0)
+               libtext-engine-dev,
+               meson (>= 0.59.0)
+Rules-Requires-Root: no
 Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager
-X-Ubuntu-Use-Langpack: yes
 Homepage: https://github.com/mjakeman/extension-manager
-Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager/-/tree/ubuntu/jammy
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager
 
 Package: gnome-shell-extension-manager
 Architecture: any

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/extension-manager-$1\.tar\.gz/ \
  https://github.com/mjakeman/extension-manager/tags .*/v?(\d\S+)\.tar\.gz

## gnome-shell-extension-manager 0.4.0

=== debian/changelog ===
gnome-shell-extension-manager (0.4.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Depend on gjs (Closes: #1025800)
  * Depend on unzip (Closes: #1025803)
  * Add debian/upstream/metadata
  * Drop all patches: applied in new release
  * Add patch to disable backtrace features since the library
    isn't in Debian yet
  * Update standards version to 4.6.2, no changes needed

  [ Heather Ellsworth ]
  * Add libtext-engine-dev build dep
  * Add desktlop-file-utils build-dep
  * Bump meson build dep version (>= 0.59.0)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 Jan 2023 12:48:36 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-shell-extension-manager
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Heather Ellsworth <heather.ellsworth@canonical.com>, Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: appstream-util <!nocheck>,
               blueprint-compiler,
               debhelper-compat (= 13),
               desktop-file-utils,
               dh-sequence-gnome,
               libgtk-4-dev,
               libadwaita-1-dev,
               libjson-glib-dev,
               libsoup-3.0-dev,
               libsysprof-4-dev,
               libtext-engine-dev,
               meson (>= 0.59.0)
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager
X-Ubuntu-Use-Langpack: yes
Homepage: https://github.com/mjakeman/extension-manager
Rules-Requires-Root: no

Package: gnome-shell-extension-manager
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gjs,
         gnome-shell,
         unzip
Description: Utility for managing GNOME Shell Extensions
 The GNOME shell extension manager is a tool for helping you manage your
 installed GNOME shell extensions.

## gnome-shell-extension-manager 0.4.2

=== meson_options.txt ===
option('development',
	type: 'boolean',
	value: false,
	description: 'Produce a development build')

option('official',
	type: 'boolean',
	value: false,
	description: 'Whether this is an official upstream package')

# Will be shown in error messages
option('package',
	type: 'string',
	value: 'Unknown Package',
	description: 'The package format being built (e.g. "Flatpak")')

option('distributor',
	type: 'string',
	value: 'Unknown Author',
	description: 'The package distributor (e.g. "Your Name <optional email>")')

=== debian/changelog ===
gnome-shell-extension-manager (0.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Drop unnecessary sysprof build dependency
  * debian/docs: README → README.md

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Aug 2023 07:30:35 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Heather Ellsworth <heather.ellsworth@canonical.com>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Heather Ellsworth <heather.ellsworth@canonical.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: appstream-util <!nocheck>,
                blueprint-compiler,
                debhelper-compat (= 13),
@@ -16,7 +16,6 @@
                libadwaita-1-dev,
                libjson-glib-dev,
                libsoup-3.0-dev,
-               libsysprof-4-dev,
                libtext-engine-dev,
                meson (>= 0.59.0)
 Standards-Version: 4.6.2

## gnome-shell-extension-manager 0.4.3

=== debian/changelog ===
gnome-shell-extension-manager (0.4.3-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome
  * Bump minimum libadwaita to 1.4
  * Drop backtrace patch: no longer needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Nov 2023 18:40:09 -0500

## gnome-shell-extension-manager 0.5.0

=== debian/changelog ===
gnome-shell-extension-manager (0.5.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:11:11 +0000

gnome-shell-extension-manager (0.5.0-1) unstable; urgency=medium

  * New upstream release
    - Fixes implicit function declarations (Closes: #1066393)
  * Drop debian/docs: NEWS.md is no longer provided

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Mar 2024 14:17:49 -0400

=== debian/control ===
Source: gnome-shell-extension-manager
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Heather Ellsworth <heather.ellsworth@canonical.com>, Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: appstream-util <!nocheck>,
               blueprint-compiler,
               debhelper-compat (= 13),
               desktop-file-utils,
               libgtk-4-dev,
               libadwaita-1-dev (>= 1.4),
               libjson-glib-dev,
               libsoup-3.0-dev,
               libtext-engine-dev,
               meson (>= 0.59.0)
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager
Homepage: https://github.com/mjakeman/extension-manager
Rules-Requires-Root: no

Package: gnome-shell-extension-manager
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gjs,
         gnome-shell,
         unzip
Description: Utility for managing GNOME Shell Extensions
 The GNOME shell extension manager is a tool for helping you manage your
 installed GNOME shell extensions.

## gnome-shell-extension-manager 0.5.1

=== debian/changelog ===
gnome-shell-extension-manager (0.5.1-5) unstable; urgency=medium

  * Cherry-pick additional patch to fix build (Closes: #1082621) (LP: #2082181)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Sep 2024 09:36:04 -0400

gnome-shell-extension-manager (0.5.1-4) unstable; urgency=medium

  * Cherry-pick several build fixes for gcc-14 (Closes: #1075027)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Sep 2024 16:06:41 -0400

gnome-shell-extension-manager (0.5.1-3) unstable; urgency=medium

  * Add Build-Depends: gnome-shell to ensure it is only built
    where it is installable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Sep 2024 11:49:15 -0400

gnome-shell-extension-manager (0.5.1-2) unstable; urgency=medium

  [ xiao sheng wen ]
  * Add patch to mark .desktop as only useful for GNOME (Closes: #1072993)

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Jun 2024 08:04:21 -0400

gnome-shell-extension-manager (0.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 16:43:48 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: gnome-shell-extension-manager
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Heather Ellsworth <heather.ellsworth@canonical.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: appstream-util <!nocheck>,
                blueprint-compiler,
                debhelper-compat (= 13),
                desktop-file-utils,
+               gnome-shell,
                libgtk-4-dev,
                libadwaita-1-dev (>= 1.4),
                libjson-glib-dev,
                libsoup-3.0-dev,
                libtext-engine-dev,
                meson (>= 0.59.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager
 Homepage: https://github.com/mjakeman/extension-manager

## gnome-shell-extension-manager 0.6.0

=== debian/changelog ===
gnome-shell-extension-manager (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: libxml2-dev
  * Add Build-Depends: libxml2-utils for xmllint
  * Remove obsolete Build-Depends: libtext-engine-dev
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Dec 2024 08:12:10 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                libadwaita-1-dev (>= 1.4),
                libjson-glib-dev,
                libsoup-3.0-dev,
-               libtext-engine-dev,
+               libxml2-dev,
+               libxml2-utils,
                meson (>= 0.59.0)
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager.git

## gnome-shell-extension-manager 0.6.1

=== debian/changelog ===
gnome-shell-extension-manager (0.6.1-1) unstable; urgency=medium

  * New upstream release
  * Run wrap-and-sort
  * Update Heather's Uploader email address

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 24 Jan 2025 08:24:25 -0500

## gnome-shell-extension-manager 0.6.2

=== debian/changelog ===
gnome-shell-extension-manager (0.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Mar 2025 17:22:15 -0400

## gnome-shell-extension-manager 0.6.3

=== debian/changelog ===
gnome-shell-extension-manager (0.6.3-2) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 08:29:53 +0200

gnome-shell-extension-manager (0.6.3-1) unstable; urgency=medium

  * New upstream bugfix release (LP: #2106411)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Apr 2025 11:46:26 -0400

=== debian/control ===
Source: gnome-shell-extension-manager
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Heather Ellsworth <hellsworth@protonmail.com>,
           Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               appstream <!nocheck>,
               blueprint-compiler,
               desktop-file-utils,
               gnome-shell,
               libadwaita-1-dev (>= 1.4),
               libgtk-4-dev,
               libjson-glib-dev,
               libsoup-3.0-dev,
               libxml2-dev,
               libxml2-utils,
               meson (>= 0.59.0)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager
Homepage: https://github.com/mjakeman/extension-manager
Rules-Requires-Root: no

Package: gnome-shell-extension-manager
Architecture: any
Depends: gjs, gnome-shell, unzip, ${misc:Depends}, ${shlibs:Depends}
Description: Utility for managing GNOME Shell Extensions
 The GNOME shell extension manager is a tool for helping you manage your
 installed GNOME shell extensions.

## gnome-shell-extension-manager 0.6.4

=== debian/changelog ===
gnome-shell-extension-manager (0.6.4-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libadwaita
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 22 Sep 2025 16:31:48 -0400

## gnome-shell-extension-manager 0.6.5

=== meson_options.txt ===
--- 
+++ 
@@ -7,6 +7,11 @@
 	type: 'boolean',
 	value: false,
 	description: 'Whether this is an official upstream package')
+
+option('backtrace',
+    type: 'boolean',
+    value: true,
+    description: 'Whether the package is built with backtrace support')
 
 # Will be shown in error messages
 option('package',

=== debian/changelog ===
gnome-shell-extension-manager (0.6.5-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 10 Oct 2025 16:54:38 -0400

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,17 @@
                blueprint-compiler,
                desktop-file-utils,
                gnome-shell,
-               libadwaita-1-dev (>= 1.4),
+               libadwaita-1-dev (>= 1.8~alpha),
                libgtk-4-dev,
                libjson-glib-dev,
                libsoup-3.0-dev,
                libxml2-dev,
                libxml2-utils,
                meson (>= 0.59.0)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extension-manager
 Homepage: https://github.com/mjakeman/extension-manager
-Rules-Requires-Root: no
 
 Package: gnome-shell-extension-manager
 Architecture: any
